<?php

namespace Drupal\simplenews_stats\EventSubscriber;

use Symfony\Component\HttpKernel\KernelEvents;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * 
 */
class SimplenewsStatsEventSubscriber implements EventSubscriberInterface {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[KernelEvents::REQUEST][] = ['simplenewsLog',30];
    return $events;
  }

  public function simplenewsLog(GetResponseEvent $event) {
    $value = $event->getRequest()->query->get('sstc');
    if (!$value) {
      return;
    }

    /* @var $SimplenewsStatsEngine \Drupal\simplenews_stats\SimplenewsStatsEngine */
    $SimplenewsStatsEngine = \Drupal::service('simplenews_stats.engine');
    $SimplenewsStatsEngine->AddStatTags($value);
  }

}
